/*! \file meanvalue.h
 *  \brief This file contains the header of meanvalue.cpp
 *  \author Albert Busqué
*/
#ifndef MEANVALUE
#define MEANVALUE

#include <math.h>

typedef struct
{
	unsigned int npts;
	float *points;
	unsigned int nfaces;
	unsigned int *faces;
	
} Cage;

void free_cage (Cage *c);
void compute_coordinates (Cage *ca, double *x, float *w);

#endif
