/*! \file utils.h
 *  \brief This file contains header of utils.cpp 
 *  \author Albert Busqué
*/

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

double determinant3x3(double *v1, double *v2, double *v3);
unsigned int vector_equals (double *a, double *b, unsigned int dim);
unsigned int file_exists(char *file);
char *get_extension (char* filename);
const char* readSource (char* kernelPath);
