/*! \file const.h
 *  \brief Definitions of constants
 *  \author Albert Busqué
*/ 

/*! \def TOL
 *  \brief Used for check error. Is tolerance of error.
*/
#define TOL 10e-5

/*! \def TRUE
 *  \brief Used as TRUE boolean.
*/
#define TRUE 1

/*! \def FALSE
 *  \brief Used as FALSE boolean.
*/
#define FALSE 0

/*! \def MIN
 *  \brief Used to know minimum value between two numbers.
*/
#define MIN(a,b) ((a)<(b)?(a):(b))

/*! \def MIN
 *  \brief Used to know maximum value between two numbers.
*/
#define MAX(a,b) ((a)>(b)?(a):(b))
